List Custom Link campaigns
curl --request GET \
--url https://api-us.hihobbes.com/api/v1/custom-link-campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-link-campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-us.hihobbes.com/api/v1/custom-link-campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"customLinkCount": 0,
"activeCustomLinkCount": 0
}
]
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Custom Links
List Custom Link campaigns
Return campaigns and their Custom Link counts.
GET
/
api
/
v1
/
custom-link-campaigns
List Custom Link campaigns
curl --request GET \
--url https://api-us.hihobbes.com/api/v1/custom-link-campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-link-campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-us.hihobbes.com/api/v1/custom-link-campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"customLinkCount": 0,
"activeCustomLinkCount": 0
}
]
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Requires
custom_links:read or custom_links:write.
Campaigns organize Custom Links and correspond to the folders used by Context
Pack imports in Hobbes.